Skip to main content

GET /tracking/pixel/stats/timeseries

GET 

tracking/pixel/stats/timeseries

Returns pixel logs count grouped by date. When group parameter is provided, data is also grouped by the specified field.

Query Parameters

period_from string Required
example 2021-07-06T00:00:00.000Z

period_to string Required
example 2021-07-06T00:00:00.000Z

group string
Groups pixel tracking results by the specified field. When provided, each result entry will include the group field value with the count

campaign_id string
Filter by campaign identifier (letters, numbers, dashes, or underscores)

subscriber_id string
Filter by subscriber identifier (letters, numbers, dashes, underscores, dots, or email addresses)

Returns

  • dataarray
    • datestring
      Date in YYYY-MM-DD format
    • campaign_idstring
      Campaign identifier (only when group=campaign_id)
    • subscriber_idstring
      Subscriber identifier (only when group=subscriber_id)
    • countinteger
      Number of pixel logs on this date
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error